at.chipkarte.client.fus.soap

## Class Formularreferenz

- Object
- - at.chipkarte.client.fus.soap.Formularreferenz

-     public class Formularreferenz
      extends Object

  Dient der Ausgabe der Minimaldaten zur Darstellung der gefundenen Formulare.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Formularreferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Formularcodegruppe` | `getFormularcode()` Formularcode sowie die ihn zusammensetzenden Elemente.
    `String` | `getFormulardatum()` Formulardatum.
    `String` | `getFormularstatus()` Status des Formulars bei VO Formularen.
    `String` | `getFormulartyp()` Typ des Formulars.
    `Boolean` | `getKorrekturMoeglich()` Angabe, ob Folge/Korrektur möglich ist.
    `String` | `getName()` (Nach-)Name eines Patienten ohne SV-Nummer.
    `SvPersonV2` | `getSvPatient()` Daten eines Patienten mit SV-Nummer.
    `String` | `getVerordnungstyp()` Verordnungstyp des Formulars bei VO Formularen.
    `String` | `getVorname()` Vorname eines Patienten ohne SV-Nummer.
    `void` | `setFormularcode(Formularcodegruppe formularcode)`
    `void` | `setFormulardatum(String formulardatum)`
    `void` | `setFormularstatus(String formularstatus)`
    `void` | `setFormulartyp(String formulartyp)`
    `void` | `setKorrekturMoeglich(Boolean korrekturMoeglich)`
    `void` | `setName(String name)`
    `void` | `setSvPatient(SvPersonV2 svPatient)`
    `void` | `setVerordnungstyp(String verordnungstyp)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Formularreferenz

          public Formularreferenz()

  - ### Method Detail

    - #### getSvPatient

          public SvPersonV2 getSvPatient()

      Daten eines Patienten mit SV-Nummer.
      Angabe: Bedingt. Entweder SvPerson oder die Kombination aus Vorname und Name ist angegeben.
      Bei BKA und BKM Formularen sind Druckdaten und Titeldaten nicht versorgt.
      Returns:
        SvPersonV2.

    - #### setSvPatient

          public void setSvPatient(SvPersonV2 svPatient)

    - #### getVorname

          public String getVorname()

      Vorname eines Patienten ohne SV-Nummer.
      Angabe: Bedingt. Entweder SvPerson oder die Kombination aus Vorname und Name ist angegeben.
      Format: min. 2 stellig, max. 35 stellig.
      Returns:
        vorname.

    - #### setVorname

          public void setVorname(String vorname)

    - #### getName

          public String getName()

      (Nach-)Name eines Patienten ohne SV-Nummer.
      Angabe: Bedingt. Entweder SvPerson oder die Kombination aus Vorname und Name ist angegeben.
      Format: min. 2 stellig, max. 40 stellig.
      Returns:
        name.

    - #### setName

          public void setName(String name)

    - #### getFormulardatum

          public String getFormulardatum()

      Formulardatum.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Formulardatum.

    - #### setFormulardatum

          public void setFormulardatum(String formulardatum)

    - #### getFormulartyp

          public String getFormulartyp()

      Typ des Formulars.
      Mögliche Werte siehe `FormulartypConstants`.
      Angabe: Muss.
      Returns:
        Formulartyp.

    - #### setFormulartyp

          public void setFormulartyp(String formulartyp)

    - #### getFormularcode

          public Formularcodegruppe getFormularcode()

      Formularcode sowie die ihn zusammensetzenden Elemente. Siehe `Formularcodegruppe`.
      Angabe: Muss.
      Returns:
        Formularcode.

    - #### setFormularcode

          public void setFormularcode(Formularcodegruppe formularcode)

    - #### getKorrekturMoeglich

          public Boolean getKorrekturMoeglich()

      Angabe, ob Folge/Korrektur möglich ist.
      Angabe: Muss.
      Returns:
        KorrekturMoeglich.

    - #### setKorrekturMoeglich

          public void setKorrekturMoeglich(Boolean korrekturMoeglich)

    - #### getFormularstatus

          public String getFormularstatus()

      Status des Formulars bei VO Formularen.
      Mögliche Werte siehe `FormularstatusConstants`.
      Angabe: Bedingt. Muss bei `VO` Formularen. Sonst nicht angegeben.
      Returns:
        Formularstatus.

    - #### setFormularstatus

          public void setFormularstatus(String formularstatus)

    - #### getVerordnungstyp

          public String getVerordnungstyp()

      Verordnungstyp des Formulars bei VO Formularen.
      Mögliche Werte siehe value von `voTypenAbfragen`.
      Angabe: Bedingt. Muss bei `VO` Formularen. Sonst nicht angegeben.
      Returns:
        Verordnungstyp.

    - #### setVerordnungstyp

          public void setVerordnungstyp(String verordnungstyp)